Bug 47214 - LINE INPUT is not recognized after a colon
Summary: LINE INPUT is not recognized after a colon
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-StarBasic
  Show dependency treegraph
 
Reported: 2012-03-11 18:09 UTC by rifford
Modified: 2021-09-19 06:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (61.30 KB, image/jpeg)
2012-03-26 13:22 UTC, rifford
Details
test file (11.82 KB, application/vnd.oasis.opendocument.text)
2014-11-06 20:06 UTC, raal
Details
TestCode_47214_CommentNo_10 (1.29 KB, text/plain)
2016-12-20 02:42 UTC, Pierre Lepage
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rifford 2012-03-11 18:09:44 UTC
Un message d'erreur est affiché pendant l'exécution de la macro.
S'il y a plusieurs instructions dans une ligne et que "LINE INPUT" ne se trouve pas au début de la ligne l'erreur "caractère inattendu" est affiché et stoppe la macro.
Comment 1 rifford 2012-03-11 18:18:02 UTC
Ce bug n'existait pas dans la version OpenOffice 2.0
Ce bug existe aussi dans la version OpenOffice 3.0
Comment 2 Rainer Bielefeld Retired 2012-03-11 22:03:28 UTC
@rifford:
Please attach a sample document!
Comment 3 rifford 2012-03-14 15:40:30 UTC
> Bonjour,
> Voici DEUX routines permettant de visualiser l'erreur pendant la COMPILATION.
>
> Sub ROUTINEOK
> NF$="Nomfichier": NO%=FREEFILE: OPEN NF$ FOR INPUT AS #NO
> INPUT #NO,AA
> LINE INPUT #NO,BB
> CLOSE #NO
> End Sub
>
> Sub ROUTINERREUR
> NF$="Nomfichier": NO%=FREEFILE: OPEN NF$ FOR INPUT AS #NO
> INPUT #NO,AA : LINE INPUT #NO,BB
> CLOSE #NO
> End Sub
>
> 'Texte de l'erreur :
> '"Erreur de syntaxe basic"
> '"symbole inatendu : input"
Comment 4 rifford 2012-03-26 13:22:41 UTC
Created attachment 59091 [details]
Screenshot
Comment 5 Rainer Bielefeld Retired 2012-06-18 22:04:30 UTC
It's impossible to get some progress here without usable information.
Comment 6 Joel Madero 2014-11-06 17:40:31 UTC
Never confirmed - moving to UNCONFIRMED so QA looks at it. Thanks
Comment 7 raal 2014-11-06 20:06:09 UTC
Created attachment 109058 [details]
test file
Comment 8 raal 2014-11-06 20:08:02 UTC
Reproducible with Version: 4.4.0.0.alpha1+
Build ID: 04ea7b24ec1b5a027efa0b850f2bc3ac7116c52e
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-31_23:27:49
Comment 9 QA Administrators 2015-12-20 16:19:51 UTC Comment hidden (obsolete)
Comment 10 Pierre Lepage 2016-12-20 02:42:48 UTC
Created attachment 129797 [details]
TestCode_47214_CommentNo_10

Il apparait que l'erreur ne survient pas si la ligne est composée d'énoncés où Line Input est en premier. L'erreur survient aussitôt que l'énoncé Line Input est en second. J'ai attaché un fichier pour la démonstration. Noter que pour tester la routine ROUTINERREUR_1, il faut enlever le symbole de commentaire à la seconde ligne.
Comment 11 Xisco Faulí 2017-09-11 08:50:52 UTC
Dear developer,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 12 QA Administrators 2018-09-12 02:38:37 UTC Comment hidden (obsolete)
Comment 13 himajin100000 2019-01-04 11:50:25 UTC
Just a guess:
https://opengrok.libreoffice.org/xref/core/basic/source/comp/token.cxx?r=e6ab9174#411

the tokens "LINE" and "NAME" are interpreted as symbols like variables 
if the token is not at the very beginning of the file, and the token ":" here is the case. so in the same way Name Statement as explained at https://docs.microsoft.com/en-us/office/vba/language/reference/user-interface-help/name-statement fails too ?
Comment 14 himajin100000 2019-01-04 13:39:36 UTC
typo:
>at the very beginning of the file
>at the very beginning of a line
Comment 15 QA Administrators 2021-09-19 03:44:31 UTC
Dear rifford,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug